> For the complete documentation index, see [llms.txt](https://docs.ionos.com/container-registry-sdk-ruby/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ionos.com/container-registry-sdk-ruby/api/locationsapi.md).

# LocationsApi

All URIs are relative to *<https://api.ionos.com/containerregistries>*

| Method                               | HTTP request       | Description                      |
| ------------------------------------ | ------------------ | -------------------------------- |
| [**locations\_get**](#locations_get) | **GET** /locations | Get container registry locations |

## locations\_get

> locations\_get

Get container registry locations

### Examples

```ruby
require 'time'
require 'ionoscloud-container-registry'
# setup authorization
IonoscloudContainerRegistry.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'

  # Configure API key authorization: tokenAuth
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  # config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = IonoscloudContainerRegistry::LocationsApi.new

begin
  # Get container registry locations
  result = api_instance.locations_get
  p result
rescue IonoscloudContainerRegistry::ApiError => e
  puts "Error when calling LocationsApi->locations_get: #{e}"
end
```

#### Using the locations\_get\_with\_http\_info variant

This returns an Array which contains the response data, status code and headers.

> \<Array(, Integer, Hash)> locations\_get\_with\_http\_info

```ruby
begin
  # Get container registry locations
  data, status_code, headers = api_instance.locations_get_with_http_info
  p status_code # => 2xx
  p headers # => { ... }
  p data # => <LocationsResponse>
rescue IonoscloudContainerRegistry::ApiError => e
  puts "Error when calling LocationsApi->locations_get_with_http_info: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**LocationsResponse**](https://github.com/ionos-cloud/sdk-ruby-container-registry/blob/master/docs/api/LocationsResponse.md)

### Authorization

basicAuth, tokenAuth

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ionos.com/container-registry-sdk-ruby/api/locationsapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
